Bug 589308 (CVE-2010-1732) - CVE-2010-1732 Zikula CSRF flaw
Summary: CVE-2010-1732 Zikula CSRF flaw
Status: CLOSED ERRATA
Alias: CVE-2010-1732
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100427,reported=20100505,sou...
Keywords: Security
Depends On: 589292
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-05 19:42 UTC by Josh Bressers
Modified: 2016-03-04 11:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-01 08:28:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2010-05-05 19:42:54 UTC
Cross-site request forgery (CSRF) vulnerability in the users module in
Zikula Application Framework before 1.2.3 allows remote attackers to
hijack the authentication of administrators for requests that change
the administrator email address (updateemail action).

http://www.htbridge.ch/advisory/xsrf_csrf_in_zikula_application_framework.html
http://community.zikula.org/index.php?module=News&func=display&sid=3012&title=zikula-1.2.3-release-announcement

Comment 1 Josh Bressers 2010-05-05 19:44:26 UTC
Created zikula tracking bugs for this issue

Affects: fedora-all [bug 589292]

Comment 2 Fedora Update System 2010-05-13 06:37:40 UTC
zikula-1.2.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.fc12

Comment 3 Fedora Update System 2010-05-13 06:37:43 UTC
zikula-1.2.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.fc11

Comment 4 Fedora Update System 2010-05-13 06:37:45 UTC
zikula-1.2.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.fc13

Comment 5 Fedora Update System 2010-05-13 06:38:17 UTC
zikula-1.2.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.fc13

Comment 6 Fedora Update System 2010-05-13 06:38:34 UTC
zikula-1.2.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.fc12

Comment 7 Fedora Update System 2010-06-07 06:45:36 UTC
zikula-1.2.3-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.el5

Comment 8 Fedora Update System 2010-06-07 22:19:22 UTC
zikula-1.2.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-06-07 22:24:45 UTC
zikula-1.2.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.